import styled, { css } from 'styled-components';
import { Text, TextStyles } from '@sdkit/typography';
export let HighlightPalettes;

(function (HighlightPalettes) {
  HighlightPalettes["Blue"] = "blue";
  HighlightPalettes["Gray"] = "gray";
  HighlightPalettes["Green"] = "green";
  HighlightPalettes["Purple"] = "purple";
  HighlightPalettes["Red"] = "red";
  HighlightPalettes["Teal"] = "teal";
  HighlightPalettes["Yellow"] = "yellow";
})(HighlightPalettes || (HighlightPalettes = {}));

export const highlightPalettes = {
  [HighlightPalettes.Blue]: {
    color: '#003980',
    backgroundColor: '#E7F2FF'
  },
  [HighlightPalettes.Gray]: {
    color: '#323C4E',
    backgroundColor: '#F3F5F8'
  },
  [HighlightPalettes.Green]: {
    color: '#1E642E',
    backgroundColor: '#ECF7EF'
  },
  [HighlightPalettes.Purple]: {
    color: '#41367B',
    backgroundColor: '#F1EFF9'
  },
  [HighlightPalettes.Red]: {
    color: '#931E06',
    backgroundColor: '#FDEDE8'
  },
  [HighlightPalettes.Teal]: {
    color: '#015F7E',
    backgroundColor: '#E7F6FB'
  },
  [HighlightPalettes.Yellow]: {
    color: '#9B6C00',
    backgroundColor: '#FFF8E7'
  }
};
export const Highlight = styled(Text).attrs({
  textType: TextStyles.BodySemibold
})`
  display: inline-flex;
  box-sizing: border-box;
  padding: 0 4px;
  max-width: 100%;
  border-radius: 4px;
  align-items: center;

  ${({
  palette = highlightPalettes[HighlightPalettes.Gray]
}) => css`
      color: ${palette.color};
      background-color: ${palette.backgroundColor};
    `};
`;
//# sourceMappingURL=Highlight.js.map